Issue 116435

Summary: Custom effect 'change line color' is broken
Product: Impress Reporter: Regina Henschel <rb.henschel>
Component: viewingAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: DEV300m97Keywords: regression
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Regina Henschel 2011-01-12 19:46:34 UTC
Start new presentation.
Draw a star and set line color to yellow.
Apply to it the custom effect "Change line color" from group "Emphasis".
Select effect line color "light blue".
Play the effect.

Notice, that not only the yellow line becomes blue, but an rectangle is drawn
around the star and a half diagonal.

In OOo330RC8 the effect is still broken, there is no half diagonal, but the
rectangle is still there and the color do not change to blue but to black.
Comment 1 wolframgarten 2011-01-13 10:24:42 UTC
Reproducible in DEV300_m97. Reassigned.
Comment 2 Regina Henschel 2011-01-13 15:43:20 UTC
I see the error first in DEV300m58. In DEV300m57 and in OOo3.2 the custom
animation is OK.
Comment 3 Regina Henschel 2011-01-13 16:08:25 UTC
change from error 'wrong additional border line with diagonal, correct color' to
error 'wrong additional border line without diagonal, wrong color' is between
m73 and m75. 
Comment 4 lyumar 2011-01-24 10:16:33 UTC
In DEV300_m97 this effect is broken for all types of shapes except for lines,
arrows, polygon, Bezier curve and simple ellipse.
Comment 5 groucho266 2011-02-11 12:21:48 UTC
This is fixed by changes made for issue 116637.
Comment 6 groucho266 2011-02-14 12:31:45 UTC
The rectangle is painted because among the drawinglayer primitives of the shape
is a HiddenGeometryPrimitive2D.  This is normally not painted because its line
and fill color are both empty.  When there is a color animation then line or
fill color are modified and the rectangle becomes visible. The information that
the primitive is not to be painted is lost in the conversion of primitives into
metafile actions.
Comment 7 Regina Henschel 2011-06-23 10:26:38 UTC
It is not fixed. I see the wrong rectangle still in DEV300m106 on WinXP and in OOo3.4.
Comment 8 Marcus 2017-05-20 11:11:44 UTC
Reset assigne to the default "issues@openoffice.apache.org".